<?php

class installmentlist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dInstallment();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aInstallment();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delInstallment();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dInstallment() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEINSTALLMENT . " SET status = '0' WHERE iId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected installment(s) deactived successfully.";
		}
	}

	function aInstallment() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEINSTALLMENT . " SET status = '1' WHERE iId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected installment(s) actived successfully.";
		}
	}

	function delInstallment() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLEINSTALLMENT . " WHERE iId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected installment(s) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "installmentList", "installmentLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$myCondition = array();
		if(isset($_REQUEST['name']) && strlen($_REQUEST['name']) > 0){
			//echo 'set name';
			$ssname = $_REQUEST["name"];
	        array_push($myCondition," iName LIKE '".trim($ssname)."%' ");
		}else{
			$ssname = "";
		}
		if(count($myCondition) > 0){
			$myCondition = " WHERE (".implode(" AND ", $myCondition).")";			
		}
		else{
			$myCondition = "";						
		}
		$ResMsg = "";
		//$instQry = "SELECT iId,iName,iServTypeId,iCountryId,status FROM " . TABLEINSTALLMENT . " ORDER BY iCountryId ASC";
		$instQry = "SELECT iId,iName,iServTypeId,iCountryId,status FROM " . TABLEINSTALLMENT . " ";
		$instQry = $instQry.$myCondition;
		$instQry = $instQry."ORDER BY iCountryId ASC";
		$instRes = $this->home1->con->execQry($instQry);
		$instRows = $this->home1->con->rowCount($instRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$iRes = $paging->queryResult($instQry);
		$iRows = $this->home1->con->rowCount($iRes);
		$pageLinks = $paging->addPaging($instQry);

		if ($instRows > 0) {
			$i = 1;
			while ($iObj = $this->home1->con->fetchObj($iRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $iObj->iId . ">";
				$name = html_entities(trim($iObj->iName));
				$countryName = getCountryName($iObj->iCountryId);
				$servName = getServiceTypeName($iObj->iServTypeId);
				$editview = "<a href=installmentMod.php?iID=" . $iObj->iId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=installmentMod.php?iID=" . $iObj->iId . "&action=editinstallment><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";

				//$editview="<a href=installmentMod.php?iID=".$iObj->iId."&action=editinstallment class='formlink'><img src='".$_CONF['siteUrl']."images/adminimg/view_edit.png' border='0' alt='View Edit'></a>";
				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("installment", $name);
				$this->t->set_var("cid", $countryName);
				$this->t->set_var("stid", $servName);
				$this->t->set_var("editview", $editview);
				if ($iObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("installmentLists", "installmentList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("installmentLists", "");
		}
		$this->t->set_var("name", $ssname);
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>