<?php

class servicetypelist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dServiceType();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aServiceType();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delServiceType();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dServiceType() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLESERVICETYPE . " SET status = '0' WHERE stId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected ServiceType(s) deactived successfully.";
		}
	}

	function aServiceType() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLESERVICETYPE . " SET status = '1' WHERE stId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected ServiceType(s) actived successfully.";
		}
	}

	function delServiceType() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLESERVICETYPE . " WHERE stId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected ServiceType(s) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "serviceTypeList", "servicetypeLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$ResMsg = "";
		$stQry = "SELECT stId,stName,stCode,status FROM " . TABLESERVICETYPE . " ORDER BY stId DESC";
		$stRes = $this->home1->con->execQry($stQry);
		$stRows = $this->home1->con->rowCount($stRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$usrRes = $paging->queryResult($stQry);
		$usrRows = $this->home1->con->rowCount($usrRes);
		$pageLinks = $paging->addPaging($stQry);

		if ($stRows > 0) {
			$i = 1;
			while ($stObj = $this->home1->con->fetchObj($usrRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $stObj->stId . ">";
				$name = html_entities(trim($stObj->stName));
				$editview = "<a href=?userID=" . $stObj->stId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=servicetypeMod.php?userID=" . $stObj->stId . "&action=editservicetype><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";


				//$editview="<a href=servicetypeMod.php?userID=".$stObj->stId."&action=editservicetype class='formlink'><img src='".$_CONF['siteUrl']."images/adminimg/view_edit.png' border='0' alt='View Edit'></a>";

				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("servicetype", html_entities($stObj->stName));
				$this->t->set_var("servicecode", $stObj->stCode);
				$this->t->set_var("editview", $editview);
				if ($stObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("servicetypeLists", "serviceTypeList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("servicetypeLists", "");
		}
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>