<?php

class Database {

	// class public variable
	var $db_host = "localhost";
	var $db_user = "";
	var $db_password = "";
	var $db_port = "3306";
	var $db_name = "";
	var $db_query = "";
	var $record_count;
	var $last_insert_id;
	var $debug;

	//constructor.
	function database() {
		$this->debug = false;
	}

	// open database connection
	function openDatabase() {
		global $db_name;
		//	$result = mysqli_pconnect($this->db_host, $this->db_user, $this->db_password);
		$result = mysqli_connect("p:".$this->db_host, $this->db_user, $this->db_password,$db_name);
		if (!$result) {
			print mysqli_error();
			exit();
		}
	//	mysql_select_db($db_name, $result);
		return $result;
	}

	function createDatabase($name) {
		mysqli_create_db($name, $this->openDatabase());
	}

	//execute query like insert, update or delete.
	function updateQuery() {
		$link_id = $this->openDatabase();
		if (true == $this->debug)
			print "<br>Updating:$this->query<br>";
		$result = mysqli_db_query($this->db_name, $this->query, $link_id);
		if (!$result) {
			print mysqli_error();
			//exit();
		}
		$this->last_insert_id = mysqli_insert_id($link_id);
		mysql_close($link_id);
		return $result;
	}

	//fetch query and return object.
	function fetchQuery() {
		$link_id = $this->openDatabase();
		if (true == $this->debug)
			print "<br>Fetching:$this->query<br>";
		$result = mysqli_db_query($this->db_name, $this->query, $link_id);
		if (!$result) {
			print mysqli_error();
			exit();
		}
		$numRows = mysqli_num_rows($result);
		for ($i = 0; $i < $numRows; $i++)
			$row[$i] = mysqli_fetch_object($result);
		$row[] = mysqli_num_rows($result);
		$this->record_count = mysqli_num_rows($result);
		$this->last_insert_id = mysqli_insert_id($link_id);
		mysqli_close($link_id);
		return $row;
	}

	//	return the field of a query as a string seprated by delimiter
	function valueList($row, $fields, $delimiter = ",") {
		$QueryArray = $this->QueryToArray($row, $fields);
		$QueryArray[] = -1;
		return implode($delimiter, $QueryArray);
	}

	function QueryToArray($row, $fields) {
		$qArray = Array();
		$theCount = count($row) - 1;
		for ($i = 0; $i < $theCount; $i++)
			$qArray[] = $row[$i]->$fields;
		return $qArray;
	}

	function recordToArray($result, $colName) {
		$arr = array();
		while ($rowObj = mysqli_fetch_object($result)) {
			$arr[] = $rowObj->$colName;
		}
		return $arr;
	}

	function execQry($qStr) {
		$link_id = $this->openDatabase();
		if (true == $this->debug)
			print "<br>Updating:$qStr<br>";
		//	$result = mysqli_db_query($this->db_name, $qStr, $link_id);
		// these 2 lines for above 1  line
		mysqli_select_db( $link_id,$this->db_name);
		$result = mysqli_query($link_id,$qStr);
		if (!$result)
			print mysqli_error();
		return $result;
	}
// created by kirti 4/9/2020
	function lastidexecQry($qStr) {
		$link_id = $this->openDatabase();
		if (true == $this->debug)
			print "<br>Updating:$qStr<br>";	
		// $result = mysqli_db_query($this->db_name, $qStr, $link_id);
			//---- these 2 lines 
		$res = array();
		mysqli_select_db( $link_id,$this->db_name);
		$res['result'] = mysqli_query($link_id,$qStr);
		$res['last_id'] = mysqli_insert_id($link_id);
		
		//-------------
		if (!$res)
			print mysqli_error();
		return $res;
	}

	function rowCount($res) {
		$rows = mysqli_num_rows($res);
		return $rows;
	}

	function fetchRow($res) {
		// to be used when need to fetch only one row
		$Rec = mysqli_fetch_array($res);
		return $Rec;
	}

	function fetchObj($res) {
		// to be used when need to fetch only one row
		$Rec = mysqli_fetch_object($res);
		return $Rec;
	}

	function free_result($res) {
		mysqli_free_result($res);
	}

	function get_insertID() {
		$id = mysqli_insert_id();
		return $id;
	}

	/* function fetchRec($sql){
	  $fetchArr = array();
	  $res = $this->execQry($sql);
	  $rows = $this->rowCount($res);
	  if($rows>0){
	  $rowObj = $this->fetchObj($res);
	  }
	  else{
	  $rowObj=0;
	  }
	  $fetchArr['res'] = $res;
	  $fetchArr['rowc']=$rows;
	  $fetchArr['obj']= $rowObj;

	  return $fetchArr;
	  }
	 */

	function fetchWholeRows($result) {
		if (true == $this->debug)
			print "<br>Fetching:$this->query<br>";
		if (!$result) {
			print mysqli_error();
			exit();
		}
		while ($rowData = mysqli_fetch_object($result)) {
			$fieldName[] = $rowData->tuiFieldName;
			$fieldValue[] = $rowData->tuiValue;
			$fieldVisible[] = $rowData->tuiVisible;
		}
		$rtnArr = array('fieldName' => $fieldName, 'fieldValue' => $fieldValue, 'fieldVisible' => $fieldVisible);
		return $rtnArr;
	}

}

?>