<?php

class statesMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $cSel;
	var $att = array();

	function statesMod($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		global $cSel;
		if (!isset($this->att['cid']) && isset($this->att['sID'])) {
			$sql = "SELECT sCid FROM " . TABLESTATES . " WHERE sId = '" . $this->att['sID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$stateObj = $this->home1->con->fetchObj($result);
			$cSel = $stateObj->sCid;
		} else if (isset($this->att['cid'])) {
			$cSel = $this->att['cid'];
		}
		$this->t->set_var("country", countryList($cSel));
		switch ($this->sMode) {
			case 'addstates':
				$this->addStates();
				$this->showPage();
				break;
			case 'editstates':
				$this->editStates();
				$this->showPage();
				break;
			default:
				$this->addStates();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addStates() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['sID'] == '0') {
			$duplicate = 0;
			$sql = "SELECT sName FROM " . TABLESTATES . " WHERE sName = '" . $this->att['states'] . "' AND sCid = " . $this->att['cid'] . " OR sCode = '" . $this->att['scode'] . "'";

			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "sName, sCid, sCode, status";
				$values = "'" . $this->att['states'] . "','" . $this->att['cid'] . "','" . strtoupper($this->att['scode']) . "','1'";
				$sql = "INSERT INTO " . TABLESTATES . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("states.php");
				exit;
			} else {
				$errormsg = "State or State code already exists!";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("states", $this->att['states']);
				$this->t->set_var("cid", $this->att['cid']);
				$this->t->set_var("scode", $this->att['scode']);
			}
		} else {
			$this->t->set_var("states", "");
			$this->t->set_var("cid", "");
		}

		$this->t->set_var("sid", 0);
		$this->t->set_var("user_action", "addstates");
		$this->t->set_var("pageheading", "Add States");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editStates() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['sID'] != '0') {
			$sql = "SELECT sName FROM " . TABLESTATES . " WHERE (sName = '" . $this->att['states'] . "' OR sCode = '" . $this->att['scode'] . "') AND sId != '" . $this->att['sID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "State or State code already exists!");
				$this->t->set_var("states", $this->att['states']);
				$this->t->set_var("scode", $this->att['scode']);
				$this->t->set_var("cid", $this->att['cid']);
			}
			if ($duplicate == 0) {
				$fields_in = " sName = '" . $this->att['states'] . "'";
				$fields_in .= " ,sCid = '" . $this->att['cid'] . "'";
				$fields_in .= " ,sCode = '" . strtoupper($this->att['scode']) . "'";
				$condition = " WHERE sId = " . $this->att['sID'];
				$sql = "UPDATE " . TABLESTATES . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("states.php");
				exit;
			}
		} else {
			$stateQry = "SELECT sId,sName,sCid,sCode FROM " . TABLESTATES . " WHERE sId='{$this->att['sID']}'";
			$stateRes = $this->home1->con->execQry($stateQry);
			$stateRows = $this->home1->con->rowCount($stateRes);
			if ($stateRows > 0) {
				$stateObj = $this->home1->con->fetchObj($stateRes);
				$this->t->set_var("sid", $stateObj->sId);
				$this->t->set_var("states", html_entities($stateObj->sName));
				$this->t->set_var("cid", $stateObj->sCid);
				$this->t->set_var("scode", html_entities($stateObj->sCode));
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("sid", $this->att['sID']);
		$this->t->set_var("user_action", "editstates");
		$this->t->set_var("pageheading", "Edit States");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>