<?php

class userlisting extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function userlisting($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {

			case 'inactive':
				$this->lockUser();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->unlockUser();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->deleteUser();
				$this->parseBody();
				$this->showPage();
				break;

			// Function that used to check what is to be displayed next				
			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function lockUser() {
		// disable the status of user account to 0
		$selection = $this->att['selection'];
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE tbl_users set userStatus = '0' WHERE userId 	in(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected Dealer(s) Inactive Successfully.";
		}
	}

	function unlockUser() {
		// activate the status of user account to 1
		$selection = $this->att['selection'];
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE tbl_users set userStatus = '1' WHERE userId 	in(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected Dealer(s) active Successfully.";
		}
	}

	function deleteUser() {
		// delete the user account
		$selection = $this->att['selection'];
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "delete from tbl_users WHERE userId in(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected Dealer(s) Deleted Successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "userList", "userLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$ResMsg = "";
		$userCompQry = "select * from tbl_users order by userFname";
		$userCompRes = $this->home1->con->execQry($userCompQry);
		$userCompRows = $this->home1->con->rowCount($userCompRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$usrRes = $paging->queryResult($userCompQry);
		$usrRows = $this->home1->con->rowCount($usrRes);
		$pageLinks = $paging->addPaging($userCompQry);

		if ($userCompRows > 0) {
			$i = 1;
			while ($userCompObj = $this->home1->con->fetchObj($usrRes)) {
				$email = $userCompObj->str_email;
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $userCompObj->userId . ">";
				$name = html_entities(trim($userCompObj->userFname));
				$editview = "<a href=member.php?userID=" . $userCompObj->userId . "&action=edituser class='formlink'><img src='" . $_CONF['siteUrl'] . "images/adminimg/view_edit.png' border='0' alt='View Edit'></a>";
				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);

				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "lgtblue");
				}

				$this->t->set_var("email", html_entities($userCompObj->userName));
				$this->t->set_var("officephone", html_entities($userCompObj->userPhone));
				$this->t->set_var("userid", $email);
				$this->t->set_var("editview", $editview);
				if ($userCompObj->userStatus == "0") {
					$this->t->set_var("userStatus", "Inactive");
				} else {
					$this->t->set_var("userStatus", "Active");
				}
				$this->t->parse("userLists", "userList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("userLists", "");
		}
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>