<?php

class advisorMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $bSel;
	var $stSel;
	var $att = array();

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		global $bSel, $stSel;
		if (!isset($this->att['bid']) && isset($this->att['adID'])) {
			$sql = "SELECT adBrId,adStId FROM " . TABLEADVISOR . " WHERE adId = '" . $this->att['adID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$advisorObj = $this->home1->con->fetchObj($result);
			$bSel = $advisorObj->adBrId;
			$stSel = $advisorObj->adStId;
		} else if (isset($this->att['bid'])) {
			$bSel = $this->att['bid'];
			$stSel = $this->att['stid'];
		}
		$this->t->set_var("branch", branchList($bSel));
		$this->t->set_var("servicetype", serviceTypeList($stSel));
		switch ($this->sMode) {
			case 'addadvisor':
				$this->addAdvisor();
				$this->showPage();
				break;
			case 'editadvisor':
				$this->editAdvisor();
				$this->showPage();
				break;
			default:
				$this->addAdvisor();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addAdvisor() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['adID'] == '0') {
			$duplicate = 0;
			$sql = "SELECT adName FROM " . TABLEADVISOR . " WHERE adBrId = " . $this->att['bid'] . " AND adStId = '" . $this->att['stid'] . "' AND adName =  '" . $this->att['advisor'] . "'";

			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "adName, adBrId, adStId, status";
				$values = "'" . $this->att['advisor'] . "','" . $this->att['bid'] . "','" . $this->att['stid'] . "','1'";
				$sql = "INSERT INTO " . TABLEADVISOR . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("advisor.php");
				exit;
			} else {
				$errormsg = "Advisor already exists!";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("advisor", $this->att['advisor']);
				$this->t->set_var("bid", $this->att['bid']);
				$this->t->set_var("stid", $this->att['stid']);
			}
		} else {
			$this->t->set_var("advisor", "");
			$this->t->set_var("bid", "");
		}

		$this->t->set_var("adid", 0);
		$this->t->set_var("user_action", "addadvisor");
		$this->t->set_var("pageheading", "Add Advisor");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editAdvisor() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['adID'] != '0') {
			$sql = "SELECT adName FROM " . TABLEADVISOR . " WHERE (adBrId = '" . $this->att['bid'] . "' AND adStId = '" . $this->att['stid'] . "') AND adId != '" . $this->att['adID'] . "' AND adName =  '" . $this->att['advisor'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "Advisor already exists!");
				$this->t->set_var("advisor", $this->att['advisor']);
				$this->t->set_var("stid", $this->att['stid']);
				$this->t->set_var("bid", $this->att['bid']);
			}
			if ($duplicate == 0) {
				$fields_in = " adName = '" . $this->att['advisor'] . "'";
				$fields_in .= " ,adBrId = '" . $this->att['bid'] . "'";
				$fields_in .= " ,adStId = '" . strtoupper($this->att['stid']) . "'";
				$condition = " WHERE adId = " . $this->att['adID'];
				$sql = "UPDATE " . TABLEADVISOR . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("advisor.php");
				exit;
			}
		} else {
			$advisorQry = "SELECT adId,adName,adBrId,adStId FROM " . TABLEADVISOR . " WHERE adId='{$this->att['adID']}'";
			$advisorRes = $this->home1->con->execQry($advisorQry);
			$advisorRows = $this->home1->con->rowCount($advisorRes);
			if ($advisorRows > 0) {
				$advisorObj = $this->home1->con->fetchObj($advisorRes);
				$this->t->set_var("adid", $advisorObj->adId);
				$this->t->set_var("advisor", html_entities($advisorObj->adName));
				$this->t->set_var("bid", $advisorObj->adBrId);
				$this->t->set_var("stid", $advisorObj->adStId);
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("adid", $this->att['adID']);
		$this->t->set_var("user_action", "editadvisor");
		$this->t->set_var("pageheading", "Edit Advisor");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>