<?php

class casestatusMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $att = array();

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		switch ($this->sMode) {
			case 'addcasestatus':
				$this->addCaseStatus();
				$this->showPage();
				break;
			case 'editcasestatus':
				$this->editCaseStatus();
				$this->showPage();
				break;
			default:
				$this->addCaseStatus();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addCaseStatus() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['userID'] == '0') {
			$duplicate = 0;
			$sql = "SELECT csName FROM " . TABLECASESTATUS . " WHERE csName = '" . $this->att['casestatus'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "csName, status";
				$values = "'" . $this->att['casestatus'] . "','1'";
				$sql = "INSERT INTO " . TABLECASESTATUS . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("casestatus.php");
				exit;
			} else {
				$errormsg = "CaseStatus already exist";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("casestatus", $this->att['casestatus']);
			}
		} else {
			$this->t->set_var("casestatus", "");
		}

		$this->t->set_var("userid", 0);
		$this->t->set_var("user_action", "addcasestatus");
		$this->t->set_var("pageheading", "Add CaseStatus");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editCaseStatus() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['userID'] != '0') {
			$sql = "SELECT csName FROM " . TABLECASESTATUS . " WHERE (csName = '" . $this->att['casestatus'] . "') AND csId != '" . $this->att['userID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "CaseStatus already exists!");
				$this->t->set_var("casestatus", $this->att['casestatus']);
			}
			if ($duplicate == 0) {
				$fields_in = " csName = '" . $this->att['casestatus'] . "'";
				$condition = " WHERE csId = " . $this->att['userID'];
				$sql = "UPDATE " . TABLECASESTATUS . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("casestatus.php");
				exit;
			}
		} else {
			$userCompQry = "SELECT csId,csName FROM " . TABLECASESTATUS . " WHERE csId='{$this->att['userID']}'";
			$userCompRes = $this->home1->con->execQry($userCompQry);
			$userCompRows = $this->home1->con->rowCount($userCompRes);
			if ($userCompRows > 0) {
				$userCompObj = $this->home1->con->fetchObj($userCompRes);
				$this->t->set_var("userid", html_entities($userCompObj->csId));
				$this->t->set_var("casestatus", html_entities($userCompObj->csName));
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("userid", $this->att['userID']);
		$this->t->set_var("user_action", "editcasestatus");
		$this->t->set_var("pageheading", "Edit CaseStatus");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>