<?php

class adminHome {

	var $sTemplatePath;
	var $sMainTemplate;
	var $sFormTemplate;
	var $sHeaderTemplate;
	var $sLeftTemplate;
	var $sFooterTemplate;
	var $sMode;
	var $sTitle;
	var $obDBCon;
	var $limit;
	var $scroll;
	var $scrollnumber;
	var $t;

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		global $_CONF;
		$this->sMode = '';
		global $dbUser, $dbPassword, $dataBase, $limit, $scroll, $scrollnumber;
		$this->con = new Database();
		$this->con->db_user = $dbUser;
		$this->con->db_password = $dbPassword;
		$this->con->db_name = $dataBase;

		if (!isset($_SESSION['session_admin_id'])) {
			reDirect($_CONF['siteAdminUrl'] . 'login.php');
			//$this->id=$_SESSION['UserId'];
		}
		$this->limit = $limit;
		$this->scroll = $scroll;
		$this->scrollnumber = $scrollnumber;
		$this->sTemplatePath = $tplPath;
		$this->sMainTemplate = $maintpl;
		$this->sFormTemplate = $tplname;
		$this->sHeaderTemplate = $headtpl;
		$this->sLeftTemplate = $lefttpl;
		$this->sFooterTemplate = $footertpl;
	}

	function create() {

		$this->showPage();
	}

	function InitializeTemplates() {
		global $_CONF;
		$this->t = new Template($this->sTemplatePath);
		$this->t->set_file('HTMLPAGE', $this->sMainTemplate);
		$this->t->set_file('FORMPAGE', $this->sFormTemplate);
		$this->t->set_file('HEADERPAGE', $this->sHeaderTemplate);
		$this->t->set_file('LEFTPAGE', $this->sLeftTemplate);
		$this->t->set_file('FOOTERPAGE', $this->sFooterTemplate);
		$this->t->set_var("siteUrl", $_CONF['siteUrl']);
		$this->t->set_var("siteAdminUrl", $_CONF['siteAdminUrl']);
		$this->t->set_var("ajaxSiteUrl", $_CONF['siteUrlAjax']);

		$this->t->set_var("cname", CNAME);
		$this->t->set_var("logo", LOGO);
		$this->t->set_var("caddress", CADDRESS);
		$this->t->set_var("accountsemailid", ACCOUNTSMAILID);
		$this->t->set_var("contactphone", CONTACTPHONE);
		
		$this->parseHeader();
		$this->parseLeft();
		$this->parseFooter();
	}

	function parseHeader() {
		$this->t->parse('TPL_HEADER', "HEADERPAGE");
	}

	function parseFooter() {
		$this->t->parse('TPL_FOOTER', "FOOTERPAGE");
	}

	function parseLeft() {

		$this->t->parse('TPL_LEFT', "LEFTPAGE");
	}

	function showPage() {
		global $_CONF;
		$attr = array();
		$attr = array_merge($_REQUEST, $_SESSION);
		$this->InitializeTemplates();
		$this->t->set_var("siteAdminUrl", $_CONF['siteAdminUrl']);
		$this->parseBody();
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>