<?php

class paymentmodeMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $duplicate;
	var $home1;
	var $att = array();

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		switch ($this->sMode) {
			case 'addpaymentmode':
				$this->addPaymentMode();
				$this->showPage();
				break;
			case 'editpaymentmode':
				$this->editPaymentMode();
				$this->showPage();
				break;
			default:
				$this->addPaymentMode();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addPaymentMode() {
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['pmID'] == '0') {
			$duplicate = 0;
			$sql = "SELECT pmName FROM " . TABLEPAYMENTMODE . " WHERE pmName = '" . $this->att['paymentmode'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "pmName, status";
				$values = "'" . $this->att['paymentmode'] . "','1'";
				$sql = "INSERT INTO " . TABLEPAYMENTMODE . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("paymentmode.php");
				exit;
			} else {
				$errormsg = "Payment Mode already exists!";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("paymentmode", $this->att['paymentmode']);
			}
		} else {
			$this->t->set_var("paymentmode", "");
		}

		$this->t->set_var("userid", 0);
		$this->t->set_var("user_action", "addpaymentmode");
		$this->t->set_var("pageheading", "Add Payment Mode");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editPaymentMode() {
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['pmID'] != '0') {
			$sql = "SELECT pmName FROM " . TABLEPAYMENTMODE . " WHERE (pmName = '" . $this->att['paymentmode'] . "') AND pmId != '" . $this->att['pmID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "Payment Mode already exists!");
				$this->t->set_var("paymentmode", $this->att['paymentmode']);
			}
			if ($duplicate == 0) {
				$fields_in = " pmName = '" . $this->att['paymentmode'] . "'";
				$condition = " WHERE pmId = " . $this->att['pmID'];
				$sql = "UPDATE " . TABLEPAYMENTMODE . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("paymentmode.php");
				exit;
			}
		} else {
			$pmQry = "SELECT pmId,pmName FROM " . TABLEPAYMENTMODE . " WHERE pmId='{$this->att['pmID']}'";
			$pmRes = $this->home1->con->execQry($pmQry);
			$pmRows = $this->home1->con->rowCount($pmRes);
			if ($pmRows > 0) {
				$pmObj = $this->home1->con->fetchObj($pmRes);
				$this->t->set_var("userid", html_entities($pmObj->pmId));
				$this->t->set_var("paymentmode", html_entities($pmObj->pmName));
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("userid", $this->att['pmID']);
		$this->t->set_var("user_action", "editpaymentmode");
		$this->t->set_var("pageheading", "Edit Payment Mode");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>