<?php

class servicecountryMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $cSel;
	var $sSel;
	var $att = array();

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		global $cSel, $sSel;
		if (!isset($this->att['stid']) && !isset($this->att['cid']) && isset($this->att['scID'])) {
			$sql = "SELECT scServTypeId,scCountryId FROM " . TABLESERVICECOUNTRY . " WHERE scId = '" . $this->att['scID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$scObj = $this->home1->con->fetchObj($result);
			$sSel = $scObj->scServTypeId;
			$cSel = $scObj->scCountryId;
		} else if (isset($this->att['scID'])) {
			$sSel = $this->att['stid'];
			$cSel = $this->att['cid'];
		}

		$this->t->set_var("country", countryList($cSel));
		$this->t->set_var("servicetype", servicetypeList($sSel));

		switch ($this->sMode) {
			case 'addservicecountry':
				$this->addServiceCountry();
				$this->showPage();
				break;
			case 'editservicecountry':
				$this->editServiceCountry($cSel, $sSel);
				$this->showPage();
				break;
			default:
				$this->addServiceCountry();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addServiceCountry() {
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['scID'] == '0') {
			$duplicate = 0;
			$sql = "SELECT scCountryAutoId FROM " . TABLESERVICECOUNTRY . " WHERE scServTypeId = " . $this->att['stid'] . " AND scCountryId = " . $this->att['cid'] . " ";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}

			if ($duplicate == 0) {
				$fieldlist = "scCountryAutoId, scCountryId, scServTypeId, status";
				$values = "'" . $this->att['scAutoId'] . "','" . $this->att['cid'] . "','" . $this->att['stid'] . "','1'";
				$sql = "INSERT INTO " . TABLESERVICECOUNTRY . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("servicecountry.php");
				exit;
			} else {
				$errormsg = "Service Country already exists!";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("scAutoId", $this->att['scAutoId']);
				$this->t->set_var("stid", servicetypeList($this->att['stid']));
			}
		} else {
			$this->t->set_var("scAutoId", "");
			$this->t->set_var("stid", "");
			$this->t->set_var("cid", "");
		}

		$this->t->set_var("scid", 0);
		$this->t->set_var("scAutoId", genPwd(5));
		$this->t->set_var("user_action", "addservicecountry");
		$this->t->set_var("pageheading", "Add Service Country");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editServiceCountry($cSel, $sSel) {
		$this->t->set_var("servicetype", servicetypeList($sSel));
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['scID'] != '0') {
			$sql = "SELECT scCountryAutoId FROM " . TABLESERVICECOUNTRY . " WHERE scId != " . $this->att['scID'] . " AND scCountryId = " . $this->att['cid'] . " AND scServTypeId = " . $this->att['stid'] . "";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "Service Country already exists!");
				$this->t->set_var("scAutoId", $this->att['scAutoId']);
				$this->t->set_var("servicetype", servicetypeList($this->att['stid']));
			}
			if ($duplicate == 0) {
				$fields_in = " scServTypeId = '" . $this->att['stid'] . "'";
				$fields_in .= " ,scCountryId = '" . $this->att['cid'] . "'";
				$condition = " WHERE scId = " . $this->att['scID'];
				$sql = "UPDATE " . TABLESERVICECOUNTRY . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("servicecountry.php");
				exit;
			}
		} else {
			$scQry = "SELECT scId,scCountryAutoId,scServTypeId,scCountryId FROM " . TABLESERVICECOUNTRY . " WHERE scId='{$this->att['scID']}'";
			$scRes = $this->home1->con->execQry($scQry);
			$scRows = $this->home1->con->rowCount($scRes);
			if ($scRows > 0) {
				$scObj = $this->home1->con->fetchObj($scRes);
				$this->t->set_var("scid", $scObj->scId);
				$this->t->set_var("stid", $scObj->scServTypeId);
				$this->t->set_var("cid", $scObj->scCountryId);
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("scid", $this->att['scID']);
		$this->t->set_var("user_action", "editservicecountry");
		$this->t->set_var("pageheading", "Edit Service Country");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>