<?php

class usertypelist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dUserType();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aUserType();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delUserType();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dUserType() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEUSERTYPE . " SET status = '0' WHERE utId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected UserType(s) deactived successfully.";
		}
	}

	function aUserType() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEUSERTYPE . " SET status = '1' WHERE utId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected UserType(s) actived successfully.";
		}
	}

	function delUserType() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLEUSERTYPE . " WHERE utId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected UserType(s) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "userTypeList", "userLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$ResMsg = "";
		$userCompQry = "SELECT utId,utName,status FROM " . TABLEUSERTYPE . " ORDER BY utId DESC";
		$userCompRes = $this->home1->con->execQry($userCompQry);
		$userCompRows = $this->home1->con->rowCount($userCompRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$usrRes = $paging->queryResult($userCompQry);
		$usrRows = $this->home1->con->rowCount($usrRes);
		$pageLinks = $paging->addPaging($userCompQry);

		if ($userCompRows > 0) {
			$i = 1;
			while ($userCompObj = $this->home1->con->fetchObj($usrRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $userCompObj->utId . ">";
				$name = html_entities(trim($userCompObj->utName));
				$editview = "<a href=?userID=" . $userCompObj->utId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=usertypeMod.php?userID=" . $userCompObj->utId . "&action=editusertype><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";



				//$editview="<a href=usertypeMod.php?userID=".$userCompObj->utId."&action=editusertype class='formlink'><img src='".$_CONF['siteUrl']."images/adminimg/view_edit.png' border='0' alt='View Edit'></a>";

				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("usertype", html_entities($userCompObj->utName));
				$this->t->set_var("editview", $editview);
				if ($userCompObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("userLists", "userTypeList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("userLists", "");
		}
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>