<?php

/*
 * ******************************************************************************
 * File name: class.leads.php
 * Created on: 06/03/2008
 * ******************************************************************************
  -----------------
  -- Description --
  -----------------
  This file stores leads class used to manage leads like add/modify/delete.

  -----------------------------------------
  -- Major Revision/Modification History --
  -----------------------------------------
  Date     Programmer      Comments
  -------- --------------- ------------------------------------------------------
  06/03/2008	Vijay Kumar	Started building the file.

 * ******************************************************************************
 *  Written By: Vijay Kumar.
 *
 * ******************************************************************************
 */

class Leads {

	var $leadId = '';
	var $leadSourceId = '';
	var $campaignId = '';
	var $reffereBy = '';
	var $firstName = '';
	var $lastName = '';
	var $officePhone = '';
	var $mobileNumber = '';
	var $homePhone = '';
	var $faxNumber = '';
	var $title = '';
	var $leaddptId = '';
	var $email1 = '';
	var $email2 = '';
	var $address1 = '';
	var $city1 = '';
	var $zipCode1 = '';
	var $country1 = '';
	var $address2 = '';
	var $city2 = '';
	var $zipCode2 = '';
	var $country2 = '';
	var $leadDesc = '';
	var $leadCreatedOn = '';
	var $leadCreatedBy = '';
	var $leadStatus = '';
	var $tableLeads = 'tbl_leads';
	var $tableLeadSource = 'tbl_leadsource';
	var $tableCampaign = 'tbl_campaign';
	var $con;
	var $home1;
	var $t;
	var $action;

	/**
	 * This function will act as constructor .
	 * @param	string tplPath template path.
	 * @param	string maintpl main tpl file name.
	 * @param	string outerCenter outer center tpl file name.
	 * @param	string innerCenter inner tpl file name.
	 * @param	string headtpl header tpl file name.
	 * @param	string lefttpl left tpl file name.
	 * @param	string righttpl right tpl file name.
	 * @param	string footertpl footer tpl file name.
	 * @author	Vijay Kumar
	 */
	function Leads($db) {
		$this->con = $db;
	}

	/**
	 * This function will retrive and assign details of  leads to class variables.
	 * @author	Vijay Kumar
	 */
	function assignValues() {
		$query = "SELECT * FROM {$this->tableLeads} WHERE leadId = '{$this->leadId}'";
		$result = $this->con->execQry($query);
		$rows = $this->con->rowCount($result);
		if ($rows > 0) {
			$rowObj = $this->con->fetchObj($result);
			foreach ($rowObj as $key => $value) {
				if (isset($this->{$key})) {
					$this->{$key} = $value;
					if (is_object($this->t)) {
						$this->t->set_var($key, $value);
					}
				}
			}
		}
	}

}

?>