<?php

class SplitPage {

	var $_page_count, $_page, $_page_offset, $_totalrecord;
	var $query;
	var $_theLink;
	var $_PageTop;
	var $db;
	var $path;

	function SplitPage($pagecount, $query, $link, $con, $path = "./") {  //Initialitation..
		$this->db = $con;
		$this->query = $query;
		$this->_page_count = $pagecount;
		$this->_PageTop = "";
		if (isset($_GET["page"])) { //Get now page
			if (!is_numeric($_GET["page"])) {
				$this->_page = 1;
				exit;
			}
			$this->_page = $_GET["page"];
		} else {
			$this->_page = 1;
		}
		$this->_page_offset = ($this->_page == 1) ? 0 : ($this->_page - 1) * $this->_page_count;
		$this->_theLink = $link;

		$_result = $this->db->execQry($query);
		$rowcount = $this->db->rowCount($_result);
		$_row = $this->db->fetchRow($_result);
		$this->_totalrecord = $rowcount;  //GET Total Record
		$this->path = $path;
	}

	function createSplitPage() {  //Create Split JS code
		global $_CONF;
		$paging = "\n<script>\nvar page_offset=" . $this->_page_offset . ";\n";
		$paging.="var page=" . $this->_page . ";\n";
		$paging.="var page_count=" . $this->_page_count . ";\n";
		$paging.="var totalrecord=" . $this->_totalrecord . ";\n";
		$paging.="var siteUrl='" . $_CONF['siteUrl'] . "';\n";
		if ($this->_PageTop != "")
			$paging.="var PageTop=" . $this->_PageTop . ";\n";
		else
			$paging.="var PageTop=null;\n";
		$paging.="var theLink='" . $this->_theLink . "';\n</script>\n";
		$paging.="<script language=JavaScript src='" . $_CONF['siteUrl'] . "js/page.class.js'></script>\n";
		return $paging;
	}

	/*
	  Query SQL
	 */

	function getQueryResult() {
		//global $con;
		//exit;
		$_sql = $this->query . " LIMIT " . $this->_page_offset . "," . $this->_page_count;
		$_result = $this->db->execQry($_sql);
		return $_result;
	}

}

?>
