<?php

/*
 * ******************************************************************************
 * File name: class.clsearch.php
 * Created on: 28/07/2008
 * ******************************************************************************
  -----------------
  -- Description --
  -----------------
  This file contains the class for search client module.

  -----------------------------------------
  -- Major Revision/Modification History --
  -----------------------------------------
  Date     Programmer      Comments
  -------- --------------- ------------------------------------------------------
  28/07/2008	Anish Sharma	Started building the file.

 * ******************************************************************************
 *  Written By: Anish Sharma.
 *    
 * ******************************************************************************
 */

class clsearch {

	var $sMode;
	var $t;
	var $home1;
	var $con;
	var $branch = '';

	/**
	 * This function will act as constructor .
	 * @param	string tplPath template path.
	 * @param	string maintpl main tpl file name.
	 * @param	string outerCenter outer center tpl file name.
	 * @param	string innerCenter inner tpl file name.
	 * @param	string headtpl header tpl file name.
	 * @param	string lefttpl left tpl file name.
	 * @param	string righttpl right tpl file name.
	 * @param	string footertpl footer tpl file name.
	 * @author
	 */
	function __construct($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl) {
		$this->home1 = new Home($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->con = $this->home1->con;
	}

	/**
	 * This function will main function used to asign tamplate 
	 * variable and call other functions.
	 * @author Anish Sharma
	 */
	function create() {
		$this->t = &$this->home1->t;
		$this->parseBody();
		$this->home1->showInPage();
	}

	/**
	 * This function will parse the body after creating it
	 * @author Anish Sharma
	 */
	function parseBody() {
		global $_CONF, $siteUrl, $siteUrlAjax;
		if (isset($_POST['search']) && $_POST['search'] == '1') {
			
		}
		if (isset($_GET['pc']) && $_GET['pc'] == 'cp') {
			$js = '
					<script language="javascript" type="text/javascript">
						alert("client\'s detail updated successfully!");
						window.location="clsearch.php";
					</script>
				';
			$this->t->set_var('js', $js);
		}
		$this->t->set_var('ajaxSiteUrl', $siteUrlAjax);
		$this->t->set_var('branchId', $_SESSION['session_userId']);
		$this->t->set_var('menu', getMenuLinks($_SESSION['session_usertype']));
		$this->t->set_var('consultancyType', counsultancyTypeList());
		$this->t->set_var('serviceType', serviceTypeList());

		$sr = ((isset($_POST['subm']) && $_POST['branch'] != '') ? $this->branch : $_SESSION['session_userId']);
		if ($_SESSION['session_usertype'] == 2) {
			$htmlStart = '';
			$htmlEnd = '';
			$usrBrId = '<input type="text" id="selBranch" value="' . $_SESSION['session_userId'] . '" style="display:none">';
			$this->t->set_var('htmlStart', $htmlStart);
			$this->t->set_var('usrBrId', $usrBrId);
			$this->t->set_var('branch', firstUpper($_SESSION['session_userName']));
			$this->t->set_var('htmlEnd', $htmlEnd);
		} else {
			$htmlStart = '<select name="branch" id="selBranch" class="form_field_text" style="width:110px"><option value="">-Select Branch-</option>';
			$htmlEnd = '</select>';
			$usrBrId = '';
			$this->t->set_var('usrBrId', $usrBrId);
			$this->t->set_var('htmlStart', $htmlStart);
			$this->t->set_var('branch', branchListByLogin($_SESSION['session_userId'], $sr, 1));
			$this->t->set_var('htmlEnd', $htmlEnd);
		}
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>