<?php

/*
 * ******************************************************************************
 * File name: class.home.php
 * Created on: 02/07/2008
 * ******************************************************************************
  -----------------
  -- Description --
  -----------------
  This file stores configuration settings.

  -----------------------------------------
  -- Major Revision/Modification History --
  -----------------------------------------
  Date     Programmer      Comments
  -------- --------------- ------------------------------------------------------
  02/07/2008	Anish Sharma	Started building the file.

 * ******************************************************************************
 *  Written By: Anish Sharma.
 *    
 * ******************************************************************************
 */

class mainhome {

	var $sMode;
	var $t;
	var $home1;
	var $con;

	/**
	 * This function will act as constructor .
	 * @param	string tplPath template path.
	 * @param	string maintpl main tpl file name.
	 * @param	string outerCenter outer center tpl file name.
	 * @param	string innerCenter inner tpl file name.
	 * @param	string headtpl header tpl file name.
	 * @param	string lefttpl left tpl file name.
	 * @param	string righttpl right tpl file name.
	 * @param	string footertpl footer tpl file name.
	 * @author
	 */
	function __construct($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl) {
		$this->home1 = new Home($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->con = $this->home1->con;
	}

	/**
	 * This function will main function used to asign tamplate 
	 * variable and call other functions.
	 * @author Anish Sharma
	 */
	function create() {
		$this->t = &$this->home1->t;
		$this->parseBody();
		$this->home1->showInPage();
	}

	/**
	 * This function will parse the body after creating it
	 * @author Anish Sharma
	 */
	function parseBody() {
		$additionalInfo = '';
		if (isset($_GET['ref']) && $_GET['ref'] != '' && $_GET['ref'] == 'nr' && isset($_GET['clId']) && $_GET['clId'] != '' && is_numeric($_GET['clId'])) {
			$id = $_GET['clId'];
			$this->t->set_var('id', $id);
			$additionalInfo = '<label class="highlightYellow marginleft_200">press F5, to print the receipt again.</label>';
		}

		if (isset($_GET['pc']) && $_GET['pc'] == 'cp') {
			$js = '
					<script language="javascript" type="text/javascript">
						alert("client\'s details updated successfully!")
					</script>
				';
			$this->t->set_var('js', $js);
		}

		if (isset($_GET['errNo']) && $_GET['errNo'] == '1') {
			$js = '
					<script language="javascript" type="text/javascript">
						alert("Oops! There was an error generating the new receipt, probably because the generated receipt number already exsists for the same branch.Please try again, and if the problem presists, kindly contact the administrator.Thanks, for your patience!")
					</script>
				';
			$this->t->set_var('js', $js);
		}

		$this->t->set_var('menu', getMenuLinks($_SESSION['session_usertype']));
		$this->t->set_var('additionalInfo', $additionalInfo);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>